Bug 537256 - Change formatting of embedded <ol> to loweralpha
Change formatting of embedded <ol> to loweralpha
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-12 18:09 EST by Deon Ballard
Modified: 2010-11-23 23:16 EST (History)
5 users (show)

See Also:
Fixed In Version: 1.3-0.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-09 23:14:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Deon Ballard 2009-11-12 18:09:18 EST
Right now, all orderedlists only use numeric labels. This becomes really confusing for anything with an embedded ol. For example:

1. Step 1
   1. Step a
   2. Step b
2. Step 2

At least for en-US styles, set the embedded ol to loweralpha:

1. Step 1
   a. Step a
   b. Step b
2. Step 2

It makes procedures much easier to follow.

Just add this to the publican/Common_Content/en-US/css/common.css file:

ol ol {
        list-style-type: lower-alpha;
}
Comment 1 Bug Zapper 2009-11-16 10:29:41 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jeff Fearn 2009-11-16 20:27:52 EST
This should be controlled by setting the numeration attribute in the orderedlist tag.

I don't believe we have all the numerations specified in the CSS, so we need to add all the numerations to the bottom of common.css.

If we make the change suggested by Deon above the numerations, then we'd change the default behavior, but still allow users to override it.

We need to ensure the PDF and HTML formats match default behavior.

For procedures this is controlled by the procedure.step.numeration.formats parameter which is currently "'1aiAI'", which matches the above requirement.
Comment 3 Deon Ballard 2009-11-16 20:43:49 EST
The numbering style I am proposing for HTML is already the default for the PDF, which I think is what Jeff said in comment #2. But I verified it. :)
Comment 4 Jeff Fearn 2009-11-17 00:15:07 EST
Added the following to the CSS, the other numerations were in place.

ol ol {
	list-style-type: lower-alpha;
}

ol.arabic {
	list-style-type: decimal;
}
Comment 5 Fedora Update System 2009-12-07 21:14:45 EST
publican-1.3-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.3-0.fc12
Comment 6 Fedora Update System 2009-12-07 21:18:06 EST
publican-1.3-0.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/publican-1.3-0.fc11
Comment 7 Fedora Update System 2009-12-09 23:13:44 EST
publican-1.3-0.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-12-09 23:26:35 EST
publican-1.3-0.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.